Page MenuHomePhabricator

Identify the most burdened Wikimedians
Closed, DeclinedPublic

Description

Come up with the most burdened classes of Wikimedians. "Burdened" means people who work on extreme backlogs or backlogs that cause community stress; highest risk for burnout. This will help to inform task impact assessments.

Event Timeline

Fhocutt raised the priority of this task from to Needs Triage.
Fhocutt updated the task description. (Show Details)
Fhocutt added a project: Community-Tech.
Fhocutt added subscribers: Fhocutt, Harej, Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 8:18 PM

Come up with the most burdened classes of volunteers. "Burdened" means volunteers that work on extreme backlogs or backlogs that cause community stress; highest risk for burnout.

Talk to @Halfak and @Harej about this.

Fhocutt renamed this task from Identify the most burdened volunteers to Identify the most burdened Wikimedians.Jul 15 2015, 8:49 PM
Fhocutt moved this task from New & TBD Tickets to Ready on the Community-Tech board.
Fhocutt set Security to None.
Fhocutt updated the task description. (Show Details)Jul 15 2015, 8:51 PM

As this task came to my mind when reading a recent thread on en.wp's VP (though volunteers are only a subgroup of Wikimedians), what are your plans after identifying / what's the intention behind identifying?

We want to reach out to these groups specifically (along with other outreach) once we're looking for specific proposals, since improvements to their workflows ought to increase the sustainability of the work they're doing.

I did some preliminary work here. See https://meta.wikimedia.org/wiki/Research:Patroller_work_load and https://meta.wikimedia.org/wiki/Research:Vandal_fighter_work_load

I think that there might be some value in measuring labor hours committed to certain types of work too. E.g. http://www.stuartgeiger.com/cscw-sessions.pdf I'm planning to work on a related analysis (see https://phabricator.wikimedia.org/T103694) and could probably work this in too.

kaldari updated the task description. (Show Details)Aug 5 2015, 3:01 AM
He7d3r added a subscriber: He7d3r.Nov 10 2015, 12:17 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 10 2015, 12:17 PM
TBolliger closed this task as Declined.Mar 6 2018, 1:12 AM